Subject: Re: bug#3452: 23.0.94; display

From: Kenichi Handa <[email-masked]>
Date: Mon, 08 Jun 2009 17:10:27 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > On terminal, if a zero-width character doesn't follow a base
> > character, Emacs composes that character by prepending SPACE
> > hoping that the terminal treats that zero-width character as
> > zero-width too.

> So these characters should be currently displayed as SPACE?

Yes, that's my intention.

> Is it a good idea to rely on the terminal in this situation?  Do we
> know for a fact that many (most?) terminals indeed behave like that
> with zero-width characters?

I'm not sure but I thought that it's reasonable to assume
that a character defined as zero-width by Unicode does not
occupy a screen column by itself.

Not for U+202D, but such combining characters as U+0300 are
treated correctly by xterm (not by gnome-terminal).

> > To conclude, I think there's not that much we can do for
> > this situation.  I think the current behaviour of
> > gnome-terminal (displaying standalone U+202D as a space of
> > width 1) is a bug.

> If other terminals behave correctly, I would agree.  But if not,
> perhaps we need to work around this, if possible.  For example, we
> could have an entry in display tables for these characters.

It seems xterm, gnome-terminal, GNU/Linux console, and
mlterm treat U+202D as spacing character, but, Konsole
(KDE's terminal) and kterm treats it as non-spacing
character.

---
Kenichi Handa
[email-masked]